Create a message
Claude-native Messages format, used by the Anthropic SDK and Claude Code. Authenticate with Authorization: Bearer <Key> or x-api-key: <Key>. max_tokens is required.
Works with models that support the Claude-native format; the endpoints each model supports are listed on the model square.
With the Anthropic SDK, set the base URL to https://ai.myaiexp.com without /v1.
BearerAuthAuthorizationBearer <token>Authenticate with an API key.
Format: Authorization: Bearer sk-xxxxxx. Create keys on the API Keys page of the console (https://ai.myaiexp.com/keys).
anthropic-version*stringAnthropic API version
x-api-key?stringYou can pass the key in x-api-key instead of Bearer auth
application/json- body
model*stringModel ID, for example your-model-id. Replace it with a model ID from the model square (https://ai.myaiexp.com/pricing), or call GET /v1/models to list the models your key can use.
messages*array<>system?string|array<>max_tokens*integer1 <= valuetemperature?number0 <= value <= 1top_p?numbertop_k?integerstream?booleanstop_sequences?array<string>tools?array<>tool_choice?thinking?metadata?Response created
application/json- response
id?stringtype?stringrole?stringcontent?array<>model?stringstop_reason?string"end_turn""max_tokens""stop_sequence""tool_use"usage?curl -X POST 'https://ai.myaiexp.com/v1/messages' \ -H 'anthropic-version: 2023-06-01' \ -H 'Content-Type: application/json' \ -d '{ "model": "your-model-id", "max_tokens": 1024, "messages": [ { "role": "user", "content": "Introduce yourself in one sentence" } ]}'{ "id": "msg_011CfngP3hfcodU3AZYA2WHX", "type": "message", "role": "assistant", "model": "your-model-id", "content": [ { "type": "text", "text": "I'm an AI assistant." } ], "stop_reason": "end_turn", "usage": { "input_tokens": 14, "output_tokens": 20 }}Create a response POST
OpenAI Responses format, non-streaming and streaming (SSE). Works with models that support the Responses API; the endpoints each model supports are listed on the [model square](https://ai.myaiexp.com/pricing). This is the endpoint Codex CLI uses.
List models GET
Returns the models your API key can call. Each `data[].id` is a valid value for the `model` field of the other endpoints.
This service is provided for learning and research purposes only. Please follow each model provider's usage policies.